> For the complete documentation index, see [llms.txt](https://docs.rpcfast.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_newfilter-ethereum.md).

# eth\_newFilter - Ethereum

## How to Use the eth\_newFilter Method

### **Parameters**

Object - The filter options:

* fromBlock: QUANTITY|TAG - (variable, default statement: "latest") the string "latest" or "pending", or an integer block number for the last mined block, returns "earliest" if the transaction wasn’t mined yet.
* toBlock: QUANTITY|TAG - (variable, default statement: "latest") the string "latest" or "pending", or an integer block number for the last mined block, returns "earliest" if the transaction wasn’t mined yet.
* address: DATA|Array, 20 Bytes - (variabel) An address of a contract or a list of addresses from which logs should originate.
* topics: Array of DATA, - (variable) Array of 32 Bytes DATA order-dependent topics. Each topic can also contain DATA Arrays with "or" options.

### **What you receive**

QUANTITY - A filter id.

### Sample

Here is a typical appliance example.

#### Call

{% tabs %}
{% tab title="Curl" %}

```bash
curl https://eth-mainnet.rpcfast.com/?api_key=<key> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_newFilter","params":[{"topics":["0x0000000000000000000000000000000000000000000000000000000012341234"]}],"id":1}'

```

{% endtab %}
{% endtabs %}

#### Outcome

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0x7185030cb5dabae60f32b996a4ab04a3"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_newfilter-ethereum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
